/*   umesh2dgui, a GUI for umesh2d grid generator 

    Copyright (C) 2003 Gabriele Dini Ciacci, Tim Hentenaar 
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef ASCII_COLORS_H
#define ASCII_COLORS_H

#include <stdarg.h>
#include <stdio.h>

#define ASC_RESET	"\e[0;0m"
#define ASC_BLACK	"\e[0;30m"
#define ASC_BLUE	"\e[0;34m"
#define ASC_GREEN	"\e[0;32m"
#define ASC_CYAN	"\e[0;36m"
#define ASC_RED		"\e[0;31m"
#define ASC_PURPLE	"\e[0;35m"
#define ASC_BROWN	"\e[0;33m"
#define ASC_GRAY	"\e[0;37m"
#define ASC_DGRAY	"\e[1;30m"
#define ASC_LBLUE	"\e[1;34m"
#define ASC_LGREEN	"\e[1;32m"
#define ASC_LCYAN	"\e[1;36m"
#define ASC_LRED	"\e[1;31m"
#define ASC_LPRUPLE	"\e[1;35m"
#define ASC_YELLOW	"\e[1;33m"
#define ASC_WHITE	"\e[1;37m"

#endif
